List Workspace Tokensets
Workspaces
List Workspace Tokensets
Get all tokensets in a workspace
GET
List Workspace Tokensets
Documentation Index
Fetch the complete documentation index at: https://docs.tokencraft.dev/llms.txt
Use this file to discover all available pages before exploring further.
List Workspace Tokensets
Retrieves all tokensets within a specific workspace. Access follows workspace membership rules:- TEAM-owned workspace: all members can read.
- Non-TEAM workspace: owner-only read.
Endpoint
Authentication
Requires a valid API token in the Authorization header.Request
Headers
| Header | Value | Required |
|---|---|---|
Authorization | Bearer token | Yes |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Workspace ID |
Response
Success Response
Status:200 OK
Response Fields
| Field | Type | Description |
|---|---|---|
tokensets | array | Array of tokenset objects |
total | number | Total number of tokensets |
Tokenset Object
| Field | Type | Description |
|---|---|---|
id | string | Unique tokenset identifier |
workspace_id | string | Parent workspace ID |
name | string | Tokenset name |
description | string|null | Optional description |
created_at | string | ISO 8601 timestamp |
updated_at | string | ISO 8601 timestamp |
Examples
Error Responses
401 Unauthorized
404 Not Found
500 Internal Server Error
Use Cases
1. Build Navigation
Create a navigation menu:2. Export All Tokensets
Download all tokensets in a workspace:3. Analytics
Track tokenset count:Next Steps
Get Tokenset
Get details of a specific tokenset
Export Tokenset
Export tokenset in multiple formats